Package com.ocient.jdbc.proto

# Class ClientWireProtocol.LocalQueries

java.lang.Object
com.google.protobuf.AbstractMessageLite
com.google.protobuf.AbstractMessage
com.google.protobuf.GeneratedMessageV3
com.ocient.jdbc.proto.ClientWireProtocol.LocalQueries

All Implemented Interfaces:
  `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `ClientWireProtocol.LocalQueriesOrBuilder`, `Serializable`

Enclosing class:
  ClientWireProtocol

    public static final class ClientWireProtocol.LocalQueries
    extends com.google.protobuf.GeneratedMessageV3
    implements ClientWireProtocol.LocalQueriesOrBuilder

Protobuf type `xg.cmdcomp.LocalQueries`

See Also:
  Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type | Class | Description
--- | --- | ---
`static class` | `ClientWireProtocol.LocalQueries.Builder` | Protobuf type `xg.cmdcomp.LocalQueries`
`static class` | `ClientWireProtocol.LocalQueries.OneIdentityOptionCase` |

## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,​BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,​BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `DATABASE_FIELD_NUMBER` |
`static int` | `IDENTITY_FIELD_NUMBER` |
`static int` | `ISSUER_CERTIFICATE_FIELD_NUMBER` |
`static int` | `ISSUER_FINGERPRINT_FIELD_NUMBER` |
`static int` | `SIGNATURE_FIELD_NUMBER` |
`static int` | `TOKEN_FIELD_NUMBER` |
`static int` | `USERNAME_FIELD_NUMBER` |
`static int` | `UUID_IDENTITY_FIELD_NUMBER` |

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object obj)` |
`String` | `getDatabase()` | `string database = 3;`
`com.google.protobuf.ByteString` | `getDatabaseBytes()` | `string database = 3;`
`static ClientWireProtocol.LocalQueries` | `getDefaultInstance()` |
`ClientWireProtocol.LocalQueries` | `getDefaultInstanceForType()` |
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
`int` | `getIdentity()` | Same data as md::objectId object Ideally would like to import objectId proto object, but proto lives in libxgsysnconfig
`com.google.protobuf.ByteString` | `getIssuerCertificate()` | `bytes issuer_certificate = 6;`
`com.google.protobuf.ByteString` | `getIssuerFingerprint()` | `bytes issuer_fingerprint = 7;`
`ClientWireProtocol.LocalQueries.OneIdentityOptionCase` | `getOneIdentityOptionCase()` |
`com.google.protobuf.Parser<ClientWireProtocol.LocalQueries>` | `getParserForType()` |
`int` | `getSerializedSize()` |
`com.google.protobuf.ByteString` | `getSignature()` | `bytes signature = 5;`
`com.google.protobuf.ByteString` | `getToken()` | `bytes token = 4;`
`com.google.protobuf.UnknownFieldSet` | `getUnknownFields()` |
`com.google.protobuf.ByteString` | `getUsername()` | `bytes username = 8;`
`com.google.protobuf.ByteString` | `getUuidIdentity()` | `bytes uuid_identity = 2;`
`int` | `hashCode()` |
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
`boolean` | `isInitialized()` |
`static ClientWireProtocol.LocalQueries.Builder` | `newBuilder()` |
`static ClientWireProtocol.LocalQueries.Builder` | `newBuilder​(ClientWireProtocol.LocalQueries prototype)` |
`ClientWireProtocol.LocalQueries.Builder` | `newBuilderForType()` |
`protected ClientWireProtocol.LocalQueries.Builder` | `newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)` |
`static ClientWireProtocol.LocalQueries` | `parseDelimitedFrom​(InputStream input)` |
`static ClientWireProtocol.LocalQueries` | `parseDelimitedFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`static ClientWireProtocol.LocalQueries` | `parseFrom​(byte[] data)` |
`static ClientWireProtocol.LocalQueries` | `parseFrom​(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`static ClientWireProtocol.LocalQueries` | `parseFrom​(com.google.protobuf.ByteString data)` |
`static ClientWireProtocol.LocalQueries` | `parseFrom​(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`static ClientWireProtocol.LocalQueries` | `parseFrom​(com.google.protobuf.CodedInputStream input)` |
`static ClientWireProtocol.LocalQueries` | `parseFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`static ClientWireProtocol.LocalQueries` | `parseFrom​(InputStream input)` |
`static ClientWireProtocol.LocalQueries` | `parseFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`static ClientWireProtocol.LocalQueries` | `parseFrom​(ByteBuffer data)` |
`static ClientWireProtocol.LocalQueries` | `parseFrom​(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`static com.google.protobuf.Parser<ClientWireProtocol.LocalQueries>` | `parser()` |
`ClientWireProtocol.LocalQueries.Builder` | `toBuilder()` |
`void` | `writeTo​(com.google.protobuf.CodedOutputStream output)` |

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, internalGetMapField, makeExtensionsImmutable, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newInstance, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

## Field Details

### IDENTITY_FIELD_NUMBER

public static final int IDENTITY_FIELD_NUMBER

See Also:
  Constant Field Values

### UUID_IDENTITY_FIELD_NUMBER

public static final int UUID_IDENTITY_FIELD_NUMBER

See Also:
  Constant Field Values

### DATABASE_FIELD_NUMBER

public static final int DATABASE_FIELD_NUMBER

See Also:
  Constant Field Values

### TOKEN_FIELD_NUMBER

public static final int TOKEN_FIELD_NUMBER

See Also:
  Constant Field Values

### SIGNATURE_FIELD_NUMBER

public static final int SIGNATURE_FIELD_NUMBER

See Also:
  Constant Field Values

### ISSUER_CERTIFICATE_FIELD_NUMBER

public static final int ISSUER_CERTIFICATE_FIELD_NUMBER

See Also:
  Constant Field Values

### ISSUER_FINGERPRINT_FIELD_NUMBER

public static final int ISSUER_FINGERPRINT_FIELD_NUMBER

See Also:
  Constant Field Values

### USERNAME_FIELD_NUMBER

public static final int USERNAME_FIELD_NUMBER

See Also:
  Constant Field Values

## Method Details

### getUnknownFields

public final com.google.protobuf.UnknownFieldSet getUnknownFields()

Specified by:
  `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

### getOneIdentityOptionCase

public ClientWireProtocol.LocalQueries.OneIdentityOptionCase getOneIdentityOptionCase()

Specified by:
  `getOneIdentityOptionCase` in interface `ClientWireProtocol.LocalQueriesOrBuilder`

### getIdentity

public int getIdentity()

    Same data as md::objectId object
    Ideally would like to import objectId proto object, but proto lives in libxgsysnconfig

`int32 identity = 1;`

Specified by:
  `getIdentity` in interface `ClientWireProtocol.LocalQueriesOrBuilder`

### getUuidIdentity

public com.google.protobuf.ByteString getUuidIdentity()
`bytes uuid_identity = 2;`

Specified by:
  `getUuidIdentity` in interface `ClientWireProtocol.LocalQueriesOrBuilder`

### getDatabase

public String getDatabase()
`string database = 3;`

Specified by:
  `getDatabase` in interface `ClientWireProtocol.LocalQueriesOrBuilder`

### getDatabaseBytes

public com.google.protobuf.ByteString getDatabaseBytes()
`string database = 3;`

Specified by:
  `getDatabaseBytes` in interface `ClientWireProtocol.LocalQueriesOrBuilder`

### getToken

public com.google.protobuf.ByteString getToken()
`bytes token = 4;`

Specified by:
  `getToken` in interface `ClientWireProtocol.LocalQueriesOrBuilder`

### getSignature

public com.google.protobuf.ByteString getSignature()
`bytes signature = 5;`

Specified by:
  `getSignature` in interface `ClientWireProtocol.LocalQueriesOrBuilder`

### getIssuerCertificate

public com.google.protobuf.ByteString getIssuerCertificate()
`bytes issuer_certificate = 6;`

Specified by:
  `getIssuerCertificate` in interface `ClientWireProtocol.LocalQueriesOrBuilder`

### getIssuerFingerprint

public com.google.protobuf.ByteString getIssuerFingerprint()
`bytes issuer_fingerprint = 7;`

Specified by:
  `getIssuerFingerprint` in interface `ClientWireProtocol.LocalQueriesOrBuilder`

### getUsername

public com.google.protobuf.ByteString getUsername()
`bytes username = 8;`

Specified by:
  `getUsername` in interface `ClientWireProtocol.LocalQueriesOrBuilder`

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

### writeTo

public void writeTo​(com.google.protobuf.CodedOutputStream output) throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

### getSerializedSize

public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

### equals

public boolean equals​(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

### hashCode

public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

### parseFrom

public static ClientWireProtocol.LocalQueries parseFrom​(ByteBuffer data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.LocalQueries parseFrom​(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.LocalQueries parseFrom​(com.google.protobuf.ByteString data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.LocalQueries parseFrom​(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.LocalQueries parseFrom​(byte[] data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.LocalQueries parseFrom​(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.LocalQueries parseFrom​(InputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static ClientWireProtocol.LocalQueries parseFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static ClientWireProtocol.LocalQueries parseDelimitedFrom​(InputStream input) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static ClientWireProtocol.LocalQueries parseDelimitedFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseFrom

public static ClientWireProtocol.LocalQueries parseFrom​(com.google.protobuf.CodedInputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static ClientWireProtocol.LocalQueries parseFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### newBuilderForType

public ClientWireProtocol.LocalQueries.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

### newBuilder

public static ClientWireProtocol.LocalQueries.Builder newBuilder()

### newBuilder

public static ClientWireProtocol.LocalQueries.Builder newBuilder​(ClientWireProtocol.LocalQueries prototype)

### toBuilder

public ClientWireProtocol.LocalQueries.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

### newBuilderForType

protected ClientWireProtocol.LocalQueries.Builder newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

### getDefaultInstance

public static ClientWireProtocol.LocalQueries getDefaultInstance()

### parser

public static com.google.protobuf.Parser<ClientWireProtocol.LocalQueries> parser()

### getParserForType

public com.google.protobuf.Parser<ClientWireProtocol.LocalQueries> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

### getDefaultInstanceForType

public ClientWireProtocol.LocalQueries getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`